/* eslint-disable no-console */
import { defineComponent, inject, toRaw } from 'vue';
export default defineComponent({
    name: 'tmap-geometry-editor',
    props: {
        selectedStyleId: {
            type: String,
            default: 'selected',
        },
    },
    setup(props) {
        const map = inject('map');
        const geometry = inject('geometry');
        if (!map || !geometry) {
            return {};
        }
        const editor = new TMap.tools.GeometryEditor({
            map: toRaw(map.value),
            overlayList: [
                {
                    overlay: geometry,
                    id: geometry.id,
                    selectedStyleId: props.selectedStyleId,
                },
            ],
            actionMode: TMap.tools.constants.EDITOR_ACTION.INTERACT,
            activeOverlayId: geometry.id,
            selectable: true,
            snappable: true, // 开启吸附
        });
        editor.on('active_changed', (e) => {
            console.log('active_changed', e);
        });
        editor.on('select', (e) => {
            console.log('select', e);
        });
        editor.on('draw_complete', (e) => {
            console.log('draw_complete', e);
        });
        editor.on('adjust_complete', (e) => {
            console.log('adjust_complete', e);
        });
        editor.on('delete_complete', (e) => {
            console.log('delete_complete', e);
        });
        editor.on('split_complete', (e) => {
            console.log('split_complete', e);
        });
        editor.on('union_complete', (e) => {
            console.log('union_complete', e);
        });
        editor.on('split_fail', (e) => {
            console.log('split_fail', e);
        });
        editor.on('union_fail', (e) => {
            console.log('union_fail', e);
        });
        return {};
    },
    render() {
        return null;
    },
});
//# sourceMappingURL=geometry-editor.js.map